<template>
	<wd-cell-group title="审批信息">
		
		<!-- <wd-cell title="制度名称" :value="info.zdmc" /> -->
		<wd-cell title="法律法规名称" :value="info.flfgmc">
			<view style="color: blue;"
				@click="onlinePreview(`/pages/onlinePreview/detail?data=${info.mingcheng}`)">
				{{info.flfgmc}}
			</view>
		</wd-cell>
		<wd-cell title="颁布部门" :value="info.fabubumen" />
		<wd-cell title="法律法规类型" :value="info.flfgfl_dictText" />
		<wd-cell title="实施日期" :value="info.shishiriqi" />
		<wd-cell title="最新修订日期" :value="info.zxxdrq" />
		<wd-cell title="适用条款" />
		<wd-textarea v-model="info.sytk" readonly/>
		<wd-cell title="识别人" :value="info.sbr" />
		
	</wd-cell-group>
</template>

<script setup>
	import {
		queryByIdApi
	} from '@/api/lawsAndRegulations/bpmApi'
	
	const info = ref({})
	const image = ref([])
	const gzxxvalue = ref('')//故障现象
	const wxnrvalue = ref('')//维修内容
	const props = defineProps({
		formData: {
			type: Object,
			default: () => {},
		}
	})
	
	const onlinePreview = (url) => {
		uni.navigateTo({
			url
		})
	}

	// 申请信息
	const QueryById = () => {
		queryByIdApi(props.formData.dataId).then((res) => {			
			console.log("res----------------",res)
			if (res.success) {
				info.value = res.result.records[0]
				// gzxxvalue= res.result.gzxx
				// wxnrvalue= res.result.wxnr
			}
		})
	}

	onMounted(() => {
		QueryById()
	})
</script>
